Name:           apache-mime4j
Version:        0.7.2
Release:        %mkrel 3
Summary:        Apache JAMES Mime4j

Group:          Development/Java
License:        ASL 2.0
URL:            http://james.apache.org/mime4j
Source0:        http://apache.online.bg/james/mime4j/apache-mime4j-project-%{version}-source-release.zip
BuildArch: noarch

BuildRequires: apache-commons-logging
BuildRequires: log4j
BuildRequires: junit
BuildRequires: apache-commons-io
BuildRequires: apache-james-project
BuildRequires: javacc-maven-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: apache-rat-plugin
BuildRequires: apache-resource-bundles
BuildRequires: mvn(org.apache.james:james-project)

Requires: apache-commons-logging
Requires: log4j
Requires: apache-commons-io

%description
Java stream based MIME message parser

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-project-%{version}
rm -fr stage
# prevents rat plugin from failing the build
rm -fr DEPENDENCIES

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom

%add_maven_depmap JPP-%{name}-project.pom

for sub in core dom storage; do
    # install jar
    install -Dpm 644 ${sub}/target/%{name}-${sub}-%{version}.jar \
            $RPM_BUILD_ROOT/%{_javadir}/%{name}/${sub}.jar;

    # intall pom
    install -Dpm 644 ${sub}/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-${sub}.pom

    # maven depmap
    %add_maven_depmap JPP.%{name}-${sub}.pom %{name}/${sub}.jar
done

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%files
%doc LICENSE NOTICE RELEASE_NOTES.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 345829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0.7.2-2.mga3
+ Revision: 343661
- Fix buildrequires

* Sun Sep 09 2012 dmorgan <dmorgan> 0.7.2-1.mga3
+ Revision: 290987
- New version

* Wed Apr 27 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 92250
- Rebuild after bootstrapping
- imported package apache-mime4j

